Name:       awesome
Version:    3.5.2
Release:    %mkrel 2
Summary:    Highly configurable, framework window manager for X. Fast, light and extensible
Group:      Graphical desktop/Other
License:    GPLv2+
URL:        http://awesome.naquadah.org
Source0:    http://awesome.naquadah.org/download/%{name}-%{version}.tar.xz
Patch0:     awesome-3.5.2-link.patch

Requires:   typelib(Pango)
Requires:   typelib(cairo)
Requires:   xterm
# for wallpaper setting handling 
Requires:   feh
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(cairo-xcb)
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libev)
BuildRequires: pkgconfig(libstartup-notification-1.0) >= 0.10
BuildRequires: pkgconfig(libxdg-basedir) >= 1.0.0
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcb) >= 1.6
BuildRequires: pkgconfig(xcb-cursor)
BuildRequires: pkgconfig(xcb-icccm) >= 0.3.8
BuildRequires: pkgconfig(xcb-keysyms) >= 0.3.4
BuildRequires: pkgconfig(xcb-randr)
BuildRequires: pkgconfig(xcb-shape)
BuildRequires: pkgconfig(xcb-util) >= 0.3.8
BuildRequires: pkgconfig(xcb-xinerama)
BuildRequires: pkgconfig(xcb-xtest)
BuildRequires: pkgconfig(xproto) >= 7.0.15
BuildRequires:  git
BuildRequires:  cmake
BuildRequires:  lua5.2-devel lua5.2
BuildRequires:	imagemagick
BuildRequires:  gperf
BuildRequires:  doxygen
BuildRequires:  asciidoc
BuildRequires:  xmlto
BuildRequires:  luadoc
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  lua-lgi
#FIXME: why does the export not work :/
BuildRequires:  typelib(Pango)
Requires:       lua-lgi

# widgets
Suggests:   awesome-plugin-vicious
# to test a new config without screwing the main one
Suggests:   x11-server-xephyr

%description
Awesome is a highly configurable, next generation framework window 
manager for X. It is very fast, light and extensible.

It is primarily targeted at power users, developers and any people 
dealing with every day computing tasks and want to have fine-grained 
control on its graphical environment.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
export AWESOME_IGNORE_LGI=1
%cmake -DXDG_CONFIG_DIR=%{_sysconfdir}/xdg -DAWESOME_IGNORE_LGI=1
%make

%install
%makeinstall_std -C build

mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat >    %{buildroot}%{_sysconfdir}/X11/wmsession.d/19%{name} << EOF
NAME=%{name}
EXEC=%{_bindir}/%{name}
DESC=%{summary}
SCRIPT:
exec %{_bindir}/%{name}
EOF

# we use our triggers for session files
rm -fr %{buildroot}%{_datadir}/xsessions
%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%doc README
%config(noreplace) %_sysconfdir/xdg/%{name}/rc.lua
%config(noreplace) %_sysconfdir/X11/wmsession.d/19%{name}
%{_bindir}/awesome
%{_bindir}/awesome-client
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/icons/*
%{_datadir}/%{name}/lib/*
%{_datadir}/%{name}/themes/*
%{_mandir}/man1/awesome.1.*
%{_mandir}/man1/awesome-client.1.*
%{_mandir}/man5/awesomerc.5.*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.5.2-2.mga4
+ Revision: 541516
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 fwang <fwang> 3.5.2-1.mga4
+ Revision: 496124
- br imagemagick
- new version 3.5.2

* Sun Jul 07 2013 shikamaru <shikamaru> 3.5.1-2.mga4
+ Revision: 450843
- fix Requires, awesome won?\226?\128?\153t start without gobject-introspection for cairo and pango (lua-lgi needs it)

* Wed Jun 26 2013 fwang <fwang> 3.5.1-1.mga4
+ Revision: 446796
- new version 3.5.1

* Sun Apr 07 2013 luigiwalser <luigiwalser> 3.5-2.mga3
+ Revision: 408802
- rebuild to really fix mga#9055

* Mon Mar 18 2013 shikamaru <shikamaru> 3.5-1.mga3
+ Revision: 403962
- oops, fix rel
- bump to 3.5-1

* Sun Mar 17 2013 lmenut <lmenut> 3.5-0.rc2.3.mga3
+ Revision: 403596
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Fri Jan 11 2013 umeabot <umeabot> 3.5-0.rc2.2.mga3
+ Revision: 346711
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 shikamaru <shikamaru> 3.5-0.rc2.1.mga3
+ Revision: 332226
- fix lgi-check
- try again with cmake
- try to build without lua-lgi
- oh well, it?\226?\128?\153s not mandatory for building it, but it will add another useful check
- new version 3.5-rc2
  require lua-lgi (it is said to be optional but default config does not
  work without it)
  minor cosmetic changes

* Sat Dec 01 2012 shikamaru <shikamaru> 3.5-0.rc1.1.mga3
+ Revision: 324151
- remove xsession file from file list as well
- add BR and restore removal of xsession file, but in buildroot this time
- update to 3.5-rc1, for lua5.2
  since lua-logging and lua-filesystem are built against it
- rediff patch
- add BR for gdk-pixbuf
- remove rm outside of buildroot (wtf?)
- fix file list
  TODO: clean spec, maybe some unneeded BRs
  TODO: port lua-sql and lua-socket to lua5.2
  TODO: add readme.update.urpmi for broken configs due to lua5.2

  + dmorgan <dmorgan>
    - Rebuild against new libxcb

  + fwang <fwang>
    - new version 3.4.13
    - build with lua 5.1
    - rebuild for new xcb-util

* Wed May 30 2012 fwang <fwang> 3.4.11-1.mga3
+ Revision: 249543
- update file list
- specify xdg dir
- real fix for find_lang
- fix find_lang
- add correct br
- fix build with latest glib
- fix linkage
- new version 2.4.11
- rebuild for new cairo

  + kamil <kamil>
    - stop installing xsession file (mga#3652)
    - clean .spec a bit

* Sat Jul 16 2011 fwang <fwang> 3.4.10-2.mga2
+ Revision: 124760
- rebuild for new libev

* Wed Jul 06 2011 ahmad <ahmad> 3.4.10-1.mga2
+ Revision: 119385
- Update to 3.4.10
- Drop patch0, fixed upstream
- Add a patch from upstream to fix the build with xcb-util-0.3.8

  + fwang <fwang>
    - br xcb-util-wm
    - rebuild for new xcb-util

* Sun Mar 20 2011 shikamaru <shikamaru> 3.4.9-2.mga1
+ Revision: 74899
- add cairo-xcb in requires
- suggest xephyr and vicious

* Sun Mar 20 2011 shikamaru <shikamaru> 3.4.9-1.mga1
+ Revision: 74665
- Add patch for cmake
- add pixman-devel in BR
- use docbook-dtds
- Add cairo-xcb-devel instead of cairo-devel
- one buildrequires per line
- imported package awesome

